.popuptooltip {
    position: relative;
    display: inline-block;
    border-bottom: 1px dotted black;
}

.popuptooltip .tooltiptext {
    visibility: hidden;
    width: 200px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    top: -5px;
    left: 110%;
}

.popuptooltip .tooltiptext::after {
    content: "";
    position: absolute;
    top: 1em;
    right: 100%;
    margin-top: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent black transparent transparent;
}
.popuptooltip:hover .tooltiptext {
    visibility: visible;
}

#charts {
  padding: 0 0;
}

.disabled {
  opacity: 0.2;
  pointer-events: none;
  cursor: default;
}

.chart {
  display: inline-block;
  margin: 0 20px 20px;
}

.reset {
  padding-left: 1em;
  font-size: smaller;
  color: #555;
}

.preset {
  padding-left: 1em;
  font-size: smaller;
  color: #555;
}

.background.bar {
  fill: #ccc;
}

.dc-chart g.row text {
  fill: #333;
}

#chart-depth .foreground.bar {
  fill: #2EA3DB;
}

#chart-age .foreground.bar {
  fill: #F5B441;
}

#chart-age svg {
  padding-top: 1em;
  overflow: visible;
}

.axis path, .axis line {
  fill: none;
  stroke: #333;
  shape-rendering: crispEdges;
}

.axis text {
  font: 10px sans-serif;
  fill: #333;
}

.x-axis-label,.y-axis-label {
  font: 10px sans-serif;
  fill: #333;
}

.dc-chart-title {
  color: #333;
  font-weight: normal;
  font-style: italic;
}

.filter {
  text-overflow: ellipsis;
  white-space: nowrap;
  display: inline-block;
  text-align: left;
}

.imghelp {
  border-radius: 10px;
}

.pointer {
  cursor: pointer;
}

.symbol {
  opacity: 0.5;
}

div.scroll {
      width:100%;
      overflow-x:scroll;
}

.meta-table table {
 table-layout: fixed;
}

#chart-table tbody {
  display: block;
  width:12000px;
  height: 400px;
  overflow-y: auto;
}

#chart-table thead {
  width:12000px;
}

#formatted-chart-table, #formatted-chart-table thead, #formatted-chart-table tbody {
  width:1200px;
  max-width: none !important;
}

#formatted-chart-table tbody {
  display: block;
  height: 400px;
  overflow-y: auto;
}

.meta-table>thead>tr>th, .meta-table>tbody>tr>td {
  float: left;
  line-height: 1em;
  border: 0px;
  padding: 5px;
}

.meta-table>thead>tr>th {
  font-weight: normal;
}

.dc-chart {
  padding: 0px;
}


.meta-table .th_MetaColumn , .meta-table .dc-table-column { width: 140px;  text-align: right; padding-right: 5px; }
.meta-table .th_Sel , .meta-table .dc-table-column._0 { width: 50px;  text-align: right; padding-right: 5px; }
.meta-table .th_Id , .meta-table .dc-table-column._1 { width: 50px;  text-align: right; padding-right: 5px; }

#formatted-chart-table .th_SampleName, #formatted-chart-table .dc-table-column._2 {
    width: 120px;  text-align: left; padding-right: 5px;
}
#formatted-chart-table .th_SiteName, #formatted-chart-table .dc-table-column._3 {
    width: 120px;  text-align: right; padding-right: 5px;
}
#formatted-chart-table .th_Country, #formatted-chart-table .dc-table-column._4 {
    width: 120px;  text-align: right; padding-right: 5px;
}
#formatted-chart-table .th_Elevation, #formatted-chart-table .dc-table-column._5 {
    width: 120px;  text-align: center; padding-right: 5px;
}
#formatted-chart-table .th_Worker, #formatted-chart-table .dc-table-column._6 {
    width: 200px;  text-align: center; padding-right: 5px;
}
#formatted-chart-table .th_Publication, #formatted-chart-table .dc-table-column._7 {
    width: 210px;  text-align: left; padding-right: 5px;
}
#formatted-chart-table .th_DOI, #formatted-chart-table .dc-table-column._8 {
    width: 210px;  text-align: left; padding-right: 5px;
}

.meta-table .dc-table-column  {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}


.meta-table input[type="checkbox"] {
    padding: 0;
    margin-left: 15px;
    margin-right: 10px;
    margin-top: 0px;
    margin-bottom: 0px;
}

.meta-table td {
  cursor: pointer;
  color: #333;
  font-size: 13px;
  border: 0px;
}

.meta-table thead tr {
  background: #333;
  background-color: #ddd;
  color: #333;
  font-weight: normal;
  font-style: italic;
  padding: 0px;
}

.meta-table tbody tr {
  background: #333;
  background-color: #eee;
  border-top: 1px solid #ddd;
  font-weight: normal;
}

.meta-table tr:hover {
  background: #ccc;
}

.meta-table tr:hover td {
  font-weight: bold;
}

.d3-tip {
  z-index: 1000;
  line-height: 1;
  font-weight: bold;
  padding: 12px;
  background: rgba(0, 0, 0, 0.8);
  color: #fff;
  border-radius: 2px;
}

/* Creates a small triangle extender for the tooltip */
.d3-tip:after {
  box-sizing: border-box;
  display: inline;
  font-size: 10px;
  width: 100%;
  line-height: 1;
  color: rgba(0, 0, 0, 0.8);
  content: "\25BC";
  position: absolute;
  text-align: center;
}

/* Style northward tooltips differently */
.d3-tip.n:after {
  margin: -1px 0 0 0;
  top: 100%;
  left: 0;
}

.tooltip-table td {
    padding-left: 10px;
    padding-right: 10px;
}

.inline-image {
    height: 1.1em;
}

.dc-cbox-item label {
    font-weight: normal;
    margin: 5px;
}
